import {Component, Input} from '@angular/core';
import {NgClass, NgIf} from '@angular/common';
import {GetSigningRequestResponseSigningRequestDocument} from '../../../../../gen';

@Component({
  selector: 'app-signing-sidebar-item',
  templateUrl: './signing-sidebar-item.component.html',
  imports: [
    NgClass,
    NgIf
  ],
  styleUrls: ['./signing-sidebar-item.component.css']
})
export class SigningSidebarItemComponent {
  @Input() document!: GetSigningRequestResponseSigningRequestDocument;

  getStatusClasses() {
    return this.document.confirmed ? 'bg-green-100 text-green-700' : 'bg-gray-100 text-gray-700';
  }
}
