import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {SigningComponent} from './components/signing/signing.component';
import {LoginComponent} from './components/login/login.component';

const routes: Routes = [
  {path: "login", component: LoginComponent},
  {path: "signing-request/:id", component: SigningComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {
}
